<?php
require_once plugin_dir_path( __FILE__ )."wamc-helper-func.php";
	

class Wamc_Shoot{

        public function wamc_shoot_msg($mobile, $tempName){

        $mobile_number_id = wp_unslash(get_option('wamc_whatsapp_business_mobile_number_id'));
		$bearer_token = wp_unslash(get_option('wamc_bearer_token_whatsapp'));
		$mobile_number = wp_unslash(get_option('wamc_mobile_number_whatsapp'));
        
		$response = new WAMC_HELPER();
		$language = $response->get_template_language($tempName);

		#order details string
            $curl = curl_init();
				$json_array = array (
					"messaging_product" => "whatsapp","to" => "$mobile","type" => "template","template" => 
					array ("name" => "$tempName","language" => 
					array (
						"code" => "$language",
					)
					),
				);
				$json_request_array = json_encode($json_array);
			
				curl_setopt_array($curl, array(
				  CURLOPT_URL => "https://graph.facebook.com/v14.0/$mobile_number_id/messages",
				  CURLOPT_RETURNTRANSFER => true,
				  CURLOPT_ENCODING => '',
				  CURLOPT_MAXREDIRS => 10,
				  CURLOPT_TIMEOUT => 0,
				  CURLOPT_FOLLOWLOCATION => true,
				  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
				  CURLOPT_CUSTOMREQUEST => 'POST',
				  CURLOPT_POSTFIELDS => $json_request_array,
				  
				  CURLOPT_HTTPHEADER => array(
					"Authorization: Bearer $bearer_token",
					'Content-Type: application/json'
				  ),
				));
				
				$response = curl_exec($curl);
				curl_close($curl);
                return $response;

        }


		public function wamc_shoot_bulk($camp_id, $user_list, $_temp_id){
			global $wpdb;
			$table_name = $wpdb->prefix."wamc_user_lists";
			$userLIst = $wpdb->get_results($wpdb->prepare("SELECT id, wamc_user_list_name, wamc_contacts_count, wamc_list_description, wamc_list_created_on, wamc_list_status FROM $table_name WHERE id = %s", $user_list));

			$template_name = $_temp_id;
			$user_ids = $userLIst[0]->wamc_contacts_count;
			$contactList = json_decode($user_ids);
			foreach($contactList as $k => $userID){
				$userData  = get_user_by( 'id', $userID );
				$userName  = $userData->user_login;
				$userMail  = $userData->user_email;
				$userFname = $userData->user_firstname;
				$userLname = $userData->user_lastname;
				$userDname = $userData->display_name;
				$userPhone = get_user_meta($userID, 'wamc_phone', true);
				$urCountry = get_user_meta($userID, 'wamc_country', true);

				$userPhone = str_replace( array( '\'', '"',
				',' , ';', '<', '>', '+', '-', '@' ), '', $userPhone);
				//get formatted mobile
				require_once plugin_dir_path(__FILE__).'wamc-helper-func.php';
				$mobileNumber = new WAMC_HELPER();
				$userPhone = $mobileNumber->get_formatted_mobile($userPhone, $urCountry);
				
				$msg_data =get_user_meta($userID, 'wamc_stop_messages', true);
				if($msg_data != 'STOP'){
	            //shoot message
				$sendMessage = $this->wamc_shoot_msg_user($userPhone, $template_name, $userID);
				$response_decode = get_object_vars(json_decode($sendMessage));
					
				}else{
					return;
				}
				
				//shoot message
				$sendMessage = $this->wamc_shoot_msg_user($userPhone, $template_name, $userID);
				$response_decode = get_object_vars(json_decode($sendMessage));
		
				if(!isset($response_decode['error'])){
					//insert message log
					$sentTO[] = $userPhone;
				}else{
					if(isset($response_decode['error'])){
					//insert message log
					$notSentTO[] = $userPhone;
					}
				}	
				$_return = array(
					"sent" => $sentTO,
					"notsent" => $notSentTO,
				);
			}
			$table_name_2 = $wpdb->prefix."wamc_campaign";
			$update_array = array(
				'wamc_campaign_status' => "completed",
				);
			$isUpdated = $wpdb->update($table_name_2, $update_array, array('id' => $camp_id));
			return $_return;
		}



		public function wamc_shoot_msg_user($mobile, $tempName, $userID){
			
			$mobile_number_id = wp_unslash(get_option('wamc_whatsapp_business_mobile_number_id'));
			$bearer_token = wp_unslash(get_option('wamc_bearer_token_whatsapp'));
			$mobile_number = wp_unslash(get_option('wamc_mobile_number_whatsapp'));
			


			global $wpdb;
			$get_template_name = $tempName;
			$array = $wpdb->get_results($wpdb->prepare("SELECT wamc_template_id, wamc_head_param_count, wamc_body_param_count, wamc_head_params, wamc_body_params, wamc_head_text, wamc_body_text, wamc_button_info, wamc_other_params FROM ".$wpdb->prefix."wamc_templates WHERE wamc_template_name = %s", $get_template_name));

			$jsonData = stripslashes(html_entity_decode($array[0]->wamc_body_params));
			$body_params = json_decode($jsonData,true);

			$wamc_template_id = $array[0]->wamc_template_id;
			$wamc_head_param_count = $array[0]->wamc_head_param_count;
			$wamc_body_param_count = $array[0]->wamc_body_param_count;
			$wamc_head_params = $array[0]->wamc_head_params;
			$wamc_body_params = $array[0]->wamc_body_params;
			$wamc_head_text = $array[0]->wamc_head_text;
			$wamc_body_text = $array[0]->wamc_body_text;
			$wamc_button_info = $array[0]->wamc_button_info;
			$wamc_other_params = $array[0]->wamc_other_params;
			$wamc_body_variables =  stripslashes(html_entity_decode(($wamc_body_params)));
			$wamcBodyVariables = json_decode($wamc_body_variables);
			$button_param_count = $wamc_button_info;

			// user details
			$userData  = get_user_by( 'id', $userID );
			$userName  = $userData->user_login;
			$userMail  = $userData->user_email;
			$userFname = $userData->user_firstname;
			$userLname = $userData->user_lastname;
			$userDname = $userData->display_name;
			$userPhone = get_user_meta($userID, 'wamc_phone', true);
			$urCountry = get_user_meta($userID, 'wamc_country', true);

			// -- do not change the below code --
				if($wamc_head_param_count>0){

					$public_head_paramter_type = $wamc_head_params;
					if(isset($public_head_paramter_type)){
						switch ($public_head_paramter_type) {
							case "user_mail":
								$set_head_param = "$userMail";
							break;
							case "user_first_name":
								$set_head_param = "$userFname";
							break;
							case "user_last_name":
								$set_head_param = "$userLname";
							break;
							case "admin_email":
								$set_head_param = get_option("admin_email");
							break;
							case "admin_phone":
								$set_head_param = get_option("admin_email");
							break;
							case "support_contact":
								$set_head_param = get_option("admin_email");
							break;
							case "user_phone":
								$set_head_param = "$userPhone";
							break;
							case "user_country":
								$set_head_param = "$urCountry";
							break;
							case "user_display_name":
								$set_head_param = "$userDname";
							break;
							case "site_name":
								$set_head_param = get_bloginfo( 'name' ); 
							break;
							case "date":
								$set_head_param = current_datetime()->format('Y-m-d H:i:s') ;
							break;
							case "time":
								$set_head_param = current_datetime()->format('Y-m-d H:i:s') ;
							break;

							default:
							$set_head_param = 'params';
						}
					}
					$head_array = array (
						0 => 
						array (
						"type" => "text",
						"text" => "$set_head_param",
						),
					);
				}

				
				if($wamc_body_param_count>0){

					for($i=1; $i<=$wamc_body_param_count;$i++){
						$i2 = $i - 1;
						
						$public_paramter_type = $wamcBodyVariables[$i2];
						if(isset($public_paramter_type)){
							switch ($public_paramter_type) {
								case "user_mail":
									$set_body_param = "$userMail";
								break;
								case "user_first_name":
									$set_body_param = "$userFname";
								break;
								case "user_last_name":
									$set_body_param = "$userLname";
								break;
								case "admin_email":
									$set_body_param = get_option("admin_email");
								break;
								case "admin_phone":
									$set_body_param = get_option("admin_email");
								break;
								case "support_contact":
									$set_body_param = get_option("admin_email");
								break;
								case "user_phone":
									$set_body_param = "$userPhone";
								break;
								case "user_country":
									$set_body_param = "$urCountry";
								break;
								case "user_display_name":
									$set_body_param = "$userDname";
								break;
								case "site_name":
									$set_body_param = get_bloginfo( 'name' ); 
								break;
								case "date":
									$set_body_param = current_datetime()->format('Y-m-d H:i:s') ;
								break;
								case "time":
									$set_body_param = current_datetime()->format('Y-m-d H:i:s') ;
								break;
		
								default:
								$set_body_param = 'params';
							}
						}
						
						$body_array[] = array (
								"type" => "text",
								"text" => "$set_body_param",
							);
					}
					
				}

				
				

			// -- do not change the above code --

			
			$response = new WAMC_HELPER();
			$language = $response->get_template_language($tempName);
	
			#order details string
				$curl = curl_init();
					$json_array = array (
						"messaging_product" => "whatsapp","to" => "$mobile","type" => "template","template" => 
						array ("name" => "$tempName","language" => 
						array (
							"code" => "$language",
						)
						),
					);

					if($button_param_count>0)
					{
						$json_array = array (
							"messaging_product" => "whatsapp","to" => "$mobile","type" => "template","template" => 
							array ("name" => "$tempName","language" => 
							array (
								"code" => $language,
							),
							"components" => 
							array (
								0 => 
								array (
								"type" => "header",
								"parameters" => $head_array,
								),
								1 => 
								array (
								"type" => "body",
								"parameters" => $body_array,
								),
								2 => 
								array (
								"type" => "button",
								"index"=> '0',
								"sub_type" => "url",
								"parameters" => array (
										0 => 
										array (
										"type" => "text",
										"text" => "?cartID=$recoverCartID",
										),
									)
								),
							),
							),
					);
					}else{
						$json_array = array (
							"messaging_product" => "whatsapp","to" => "$mobile","type" => "template","template" => 
							array ("name" => "$tempName","language" => 
							array (
								"code" => $language,
							),
							"components" => 
							array (
								0 => 
								array (
								"type" => "header",
								"parameters" => $head_array,
								),
								1 => 
								array (
								"type" => "body",
								"parameters" => $body_array,
								)
							),
							),
						);
					}
					
					$json_request_array = json_encode($json_array);
				
					curl_setopt_array($curl, array(
					  CURLOPT_URL => "https://graph.facebook.com/v14.0/$mobile_number_id/messages",
					  CURLOPT_RETURNTRANSFER => true,
					  CURLOPT_ENCODING => '',
					  CURLOPT_MAXREDIRS => 10,
					  CURLOPT_TIMEOUT => 0,
					  CURLOPT_FOLLOWLOCATION => true,
					  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
					  CURLOPT_CUSTOMREQUEST => 'POST',
					  CURLOPT_POSTFIELDS => $json_request_array,
					  
					  CURLOPT_HTTPHEADER => array(
						"Authorization: Bearer $bearer_token",
						'Content-Type: application/json'
					  ),
					));
					
					$response = curl_exec($curl);
					curl_close($curl);
					return $response;
	
			}


}