<?php 
    $userListID = $_GET['id'];
    $editID = $_GET['edit'];
    global $wpdb;
    global $woocommerce;
    
    $table_name = $wpdb->prefix."wamc_user_lists";    
    $sql_query = $wpdb->get_results($wpdb->prepare("SELECT id,wamc_user_list_name,wamc_contacts_count,wamc_list_description,wamc_list_created_on,wamc_list_status FROM $table_name WHERE id = %s", $userListID));
    $users_all = json_decode($sql_query[0]->wamc_contacts_count); 
    $userListID = $sql_query[0]->id;
    $userListName = $sql_query[0]->wamc_user_list_name;
    $userDescription = $sql_query[0]->wamc_list_description;
?>  
<div class="container-fluid py-4">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header pb-0">
                    <div class="d-flex align-items-center">
                        <p class="mb-0"><?php esc_html_e("You are editing: '$userListName'", 'wamc');?></p>
                    </div>
                    <hr class="wamc-create-user-via">
                </div>
                 <!-- now body section -->
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Userlist Name", 'wamc' );?>
                                </label>
                                <input value="<?php echo esc_attr($userListName);?>" id="wamc_edit_user_list_name" placeholder="<?php esc_attr_e( "userlist_name", 'wamc' );?>" class="form-control"/>
                                <input type="hidden" id="wamc_edit_user_list_id" value="<?php esc_attr_e($userListID);?>"/>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Userlist Description", 'wamc' );?>
                                </label>
                                <input value="<?php echo esc_attr($userDescription);?>" id="wamc_edit_user_list_desc" placeholder="<?php esc_attr_e( "userlist_description", 'wamc' );?>" class="form-control"/>

                            </div>
                        </div>
                        <!-- ----------------- -->

                    <div class="col-md-12">
                        <div class="col-md-12">
                        <div class="form-group">
                            <?php
                            require_once plugin_dir_path( __FILE__ ) . 'wamc-remove-user-helper.php';
                            ?>
                        </div>
                        </div>
                        <input type="hidden" value="<?php echo $userListID?>" id="wamc_userlist_id"/>
                    </div>
                    <!-- ----------------- -->
                    </div>
                        <button id="wamc_edit_userlist_btn" class="btn btn-primary btn-sm mt-2 ms-auto">
                            <?php esc_html_e("Update Userlist", 'wamc'); ?>
                        </button>
                        <button id="wamc_remove_mulusers_screen" class="btn btn-danger btn-sm mt-2 ms-auto">
                                <?php esc_html_e("Remove Users", 'wamc'); ?>
                        </button>
                        <a href="#ex2" rel="modal:open">
                            <button id="wamc_add_user_to_wp" class="btn btn-white btn-sm mt-2 ms-auto">
                                    <?php esc_html_e("Add Users", 'wamc'); ?>
                            </button>
                        </a>
                                               
                </div>
            </div>
        </div>
    </div>
</div>
</main>