<?php 
    $userID = $_GET['user'];
    $userData  = get_user_by( 'id', $userID );
    $userName  = $userData->user_login;
	$userMail  = $userData->user_email;
	$userFname = $userData->user_firstname;
	$userLname = $userData->user_lastname;
	$userDname = $userData->display_name;
	$userPhone = get_user_meta($userID, 'wamc_phone', true);
	$urCountry = get_user_meta($userID, 'wamc_country', true);
?>
<div class="container-fluid py-4">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header pb-0">
                    <div class="d-flex align-items-center">
                        <p class="mb-0"><?php esc_html_e('Admin Settings', 'wamc');?></p>
                    </div>
                    <hr class="wamc-create-user-via">
                </div>
                 <!-- now body section -->
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "First Name", 'wamc' );?>
                                </label>
                                <input id='wamc_user_fname_edit' type='text' value="<?php esc_attr_e($userFname);?>" class="form-control"/>

                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Last Name", 'wamc' );?>
                                </label>
                                <input id='wamc_user_lname_edit' type='text' value="<?php esc_attr_e($userLname);?>" class="form-control"/>

                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Country Code", 'wamc' );?>
                                </label>
                                <input id='wamc_user_cc_edit' type='text' value="<?php esc_attr_e($urCountry);?>" class="form-control"/>

                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Mobile Number", 'wamc' );?>
                                </label>
                                <input  id='wamc_user_mobile_edit' type='text' value="<?php esc_attr_e($userPhone);?>" class="form-control"/>


                            </div>
                        </div>
                        
                    <!-- ----------------- -->
                    </div>
                    <input type="hidden" value="<?php esc_attr_e($_GET['user'])?>" id="wamc_update_user_id"/>
                    <button id="wamc_save_user_settings" class="btn btn-primary btn-sm mt-2 ms-auto"><?php esc_html_e("Update User", 'wamc'); ?></button>
                    <a href='?edit=1&id=<?php esc_attr_e($_GET['id']);?>'>
                        <button class="btn btn-primary btn-sm mt-2 ms-auto"><?php esc_html_e("Back", 'wamc'); ?></button>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>
</main>