<div class="container-fluid py-4">
  <div class="row">
    <!-- --col1-- -->
    <div class="col-md-12">
      <div class="card">
        <div class="card-header pb-0">
          <div class='wamc-create-user-via'>
            <a href='?via=csv'>
              <div class='wamc-create-user-via-csv'>
                <?php esc_html_e('Upload CSV', 'wamc');?>
              </div>
            </a>
            <div class='wamc-create-user-via-users wamc-create-user-via-active'>
              <?php esc_html_e('Select From Existing Users', 'wamc');?>
            </div>
          </div>
          <hr />
          <div class="d-flex align-items-center">
            <p class="mb-0">
              <?php esc_html_e('Edit Profile', 'wamc');?>
            </p>

          </div>
        </div>


        <div class="card-body">
          <div class="row">

            <!-- ----- -->
            <div class="row col-md-12">

              <div class="col-md-6">
                <div class="form-group">
                  <label for="example-text-input" class="form-control-label">
                    <?php esc_html_e( "Contact List Name:", 'wamc' );?>
                  </label>
                  <input class="form-control" type="text" id="wamc_add_userlist_name" placeholder="<?php esc_html_e( "
                    Enter the name of userlist.", 'wamc' );?> " onfocus="focused(this)" onfocusout="defocused(this)">
                </div>
              </div>

              <div class="col-md-6">
                <div class="form-group">
                  <label for="example-text-input" class="form-control-label">
                    <?php esc_html_e( "Description", 'wamc' );?>
                  </label>
                  <input class="form-control" id="wamc_add_userlist_description" type="text"
                    placeholder="<?php esc_html_e( " This list is about...", 'wamc' );?>" onfocus="focused(this)"
                  onfocusout="defocused(this)">
                </div>
              </div>
              <!-- ----- -->

              <div class="col-md-12">
                <div class="col-md-12">
                  <div class="form-group">
                    <?php
                      require_once plugin_dir_path( __FILE__ ) . 'wamc-wpuserslist.php';
                    ?>
                  </div>
                </div>

              </div>

              <div class="col-md-12">
                <div class="form-group">
                  <button id="wamc_add_new_userlist_users" class="btn btn-primary btn-sm ms-auto"><span
                      class="fas fa-plus"></span>
                    <?php esc_html_e( "Create Userlist", 'wamc' );?>
                  </button>
                </div>
              </div>

            </div>



            <!-- ----- -->

          </div>

        </div>
      </div>
    </div>
    <!-- --col1-- -->
  </div>
</div>
</main>