
    
    <div class="container-fluid py-4">
      <div class="row">
        <div class="col-12">
          <div class="card mb-4">
            <div class="card-header pb-0">
              <div class='wamc_add_userlist_btn_flex'>
                <h6 id="wamc_usrlist"><?php esc_html_e('Campaigns List', 'wamc');?></h6>
                <a href="?screen=1">
                    <input type='button' class='btn wamc_add_userlist_btn' value='Add New'/>
                </a>
              </div>
            </div>
            <div class="card-body px-0 pt-0 pb-2">
              <div class="table-responsive p-0">
                <table class="table stripe align-items-center mb-0" id="wamc_camplist_table">
                  <thead>
                    <tr>
                      <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7"><?php esc_html_e('ID', 'wamc');?></th>
                      <th class="wamc_au_pl1 text-uppercase text-secondary text-xxs font-weight-bolder opacity-7 ps-2"><?php esc_html_e('Name', 'wamc');?></th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('User List', 'wamc');?>	</th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Template', 'wamc');?> </th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Execution On', 'wamc');?>	</th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Created On', 'wamc');?>	</th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Status', 'wamc');?>	</th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Edit', 'wamc');?>	</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php 
                    global $wpdb;
                    global $woocommerce;
                    $show_reports = $wpdb->get_results(("SELECT id,wamc_campaign_name,wamc_campaign_condition,wamc_campaign_user_list,wamc_campaign_template_id,wamc_campaign_schedule, wamc_campaign_meta, wamc_campaign_created_on, wamc_campaign_status FROM ".$wpdb->prefix."wamc_campaign ORDER BY id DESC"));

                    

                  foreach( $show_reports as $dkey => $dval ) {
		                $table_name_2 = $wpdb->prefix . 'wamc_user_lists'; 
                      $wamc_list_id = $dval->wamc_campaign_user_list;
                      $usrList = $wpdb->get_results($wpdb->prepare("SELECT wamc_user_list_name FROM $table_name_2 WHERE id = %s", $wamc_list_id));
                      
                      $scheduleTime = date("Y-m-d h:i:sa",$dval->wamc_campaign_schedule);
                      
                      ?>
                    
                    <!-- table row -->
                    <tr>
                      <td class="align-middle text-center">
                        <span class="text-secondary text-xs font-weight-bold"><?php esc_html_e($dval->id, 'wamc');?></span>
                      </td>
                      <td>
                        <div class="d-flex px-2 py-1">
                          <div class="d-flex flex-column justify-content-center">
                            <span class="mb-0 text-sm"><?php esc_html_e($dval->wamc_campaign_name, 'wamc');?> </span>
                          </div>
                        </div>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                        <span class="badge badge-sm bg-gradient-violet" title="<?php esc_html_e($usrList[0]->wamc_user_list_name, 'wamc');?>"><?php esc_html_e($usrList[0]->wamc_user_list_name, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                        <span class="badge badge-sm bg-gradient-wamc-template" title="<?php esc_html_e($dval->wamc_campaign_template_id, 'wamc');?>"><?php esc_html_e($dval->wamc_campaign_template_id, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                        <span class="badge badge-sm bg-gradient-wamc-execute"
                        title="<?php esc_html_e($scheduleTime, 'wamc');?>">
                        <span class="fas fa-calendar"></span>
                        <?php esc_html_e($scheduleTime, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                        <span class="badge badge-sm bg-gradient-wamc-create"  title="<?php esc_html_e($dval->wamc_campaign_created_on, 'wamc');?>">
                        <span class="fas fa-clock"></span>
                        <?php esc_html_e($dval->wamc_campaign_created_on, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                        <span class="badge badge-sm bg-gradient-wamc-status"  title="<?php esc_html_e($dval->wamc_campaign_status, 'wamc');?>">
                        <span class="fas fa-check"></span>
                        <?php esc_html_e($dval->wamc_campaign_status, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                          <a href="?screen=2&id=<?php esc_attr_e($dval->id);?>"><span class="badge badge-sm bg-gradient-wamc-edit"
                            title="<?php esc_html_e("Edit Campaign", 'wamc');?>">
                            <span data-camp-id="<?php esc_attr_e($dval->id);?>" class="wamc_edit_campaign_icon fas fa-pencil"></span>
                          </span></a>

                          <span class="badge badge-sm bg-gradient-wamc-delete"
                            title="<?php esc_html_e("Delete Campaign", 'wamc');?>">
                            <span data-camp-id="<?php esc_attr_e($dval->id);?>" class="wamc_delete_campaign_icon fas fa-trash"></span>
                          </span>
                      </td>
                      <!-- -------------- -->
                    </tr>
                      <!-- table row -->
                  <?php } ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
      
    </div>