<?php if(!isset($_GET['screen'])&& $_GET['screen'] !="2"): return; endif;

    global $wpdb;
    $buss_id = $_GET['id'];
    $array = $wpdb->get_results($wpdb->prepare("SELECT wamc_head_params, wamc_body_params FROM ".$wpdb->prefix."wamc_templates WHERE wamc_template_name = %s", $buss_id));
    $jsonData = stripslashes(html_entity_decode($array[0]->wamc_body_params));
    $body_params = json_decode($jsonData,true);
    $head1 = $array[0]->wamc_head_params;

    require_once WAMC_DIR_PATH."/admin/partials/wamc-api-functions.php";  
    
    $option_array = ["customer_first_name", "customer_last_name", "customer_email","admin_email", "customer_phone", "payment_method", "customer_billing_address","customer_shipping_address", "cart_item_count", "admin_phone","cart_items", "cart_total", "order_id", "time", "date", "site_name"];
    $response = new Wamc_API_functions;
    $response = $response->wamc_get_wp_templates();
    $res_arr = json_decode($response);
		foreach($res_arr->data as $dkey => $dval ){   
            if($buss_id == $dval->name){ 
				$wamc_template_language = $dval->language;
				$template_name = $dval->name;
				foreach($dval->components as $bdkey => $bdval){
						if($bdval->type == "BUTTONS"){
							$button_text = isset($bdval->buttons[0]->url) ? sanitize_text_field(wp_unslash($bdval->buttons[0]->url)) : '';
							$button_param_count = substr_count($button_text,"{{");
							}

						if($bdval->type == "HEADER"){
							$head_text = $bdval->text;
							$head_param_count = substr_count($head_text,"{{");
							}

						if($bdval->type == "BODY"){
							$body_text = $bdval->text;
							$body_param_count = substr_count($body_text,"{{");
							}
                }
			}
        }
		$wamc_template_id = $buss_id;
		
		$wamc_head_param_count = isset($head_param_count) ? sanitize_text_field(wp_unslash($head_param_count)) : ''; // head param count
		$wamc_body_param_count = isset($body_param_count) ? sanitize_text_field(wp_unslash($body_param_count)) : ''; //body param count
		$wamc_button_param_count = isset($button_param_count) ? sanitize_text_field(wp_unslash($button_param_count)) : '';
		$wamc_head_text = isset($head_text) ? sanitize_text_field(wp_unslash($head_text)) : ''; //head text
		$wamc_body_text = isset($body_text) ? sanitize_text_field(wp_unslash($body_text)) : ''; //body text
		$wamc_button_info = '';
		$wamc_language_params = $wamc_template_language;
		$wamc_updated_date_time = '';
		$option_array = ["user_mail", "user_first_name", "user_last_name","admin_email", "admin_phone", "support_contact", "user_phone","user_country", "user_display_name", "site_name","date", "time"];
							
?>
<div class="container-fluid py-4">
    <div class="row mt-5">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header pb-0"> 
                    <div class="d-flex align-items-center">
                        <p class="mb-0"><?php esc_html_e('Map Template Parameters', 'wamc');?></p>
                       
                    </div>
                    <hr class="wamc-create-user-via">
                </div>
                 <!-- now body section -->
                <div class="card-body">
                    <div class="row wamc-flex-col">

                        <!-- row starts now --- -->

                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="form-control-label wamc-map-param-label">
                                    <?php esc_html_e( "Template Name", 'wamc' );?>
                                </label>
                                <input id="wamc_update_campaign_name" value="<?php esc_attr_e( $buss_id, 'wamc' );?>" class="form-control" disabled/>
                            </div>
                        </div>
                        <!-- head text-- -->
                        <?php if(!empty($head_text)):?>
                        <div class="col-md-4">
                            <div class="form-group">
                                
                                <label for="example-text-input" class="form-control-label wamc-map-param-label">
                                        <?php esc_html_e( "Head Text", 'wamc' );?>
                                    </label>
                                <span class="form-control wamc-form-disabled"> <?php esc_attr_e($head_text); ?>
                                </span>
                            </div>
                        </div>
                        <?php endif; ?>
                        <?php if(empty($head_text)):?>
                        <div class="col-md-4">
                            <div class="form-group">
                                
                                <label for="example-text-input" class="form-control-label wamc-map-param-label">
                                        <?php esc_html_e( "Head Text", 'wamc' );?>
                                    </label>
                                    <span class="form-control-label wamc-body-param-map"> 
                                <?php esc_html_e( "This templates does not contains any head text or parameters to map.", 'wamc' );?>
                                </span>
                            </div>
                        </div>
                        <?php endif; ?>
                        <?php if($wamc_head_param_count == "0"):?>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="form-control-label wamc-map-param-label">
                                        <?php esc_html_e( "Head Parameters", 'wamc' );?>
                                </label>
                                </br>
                                <span class="form-control-label wamc-body-param-map"> 
                                <?php esc_html_e( "This templates does not contains any head parameter to map.", 'wamc' );?>
                                </span>
                            </div>
                        </div>
                        <?php endif; ?>
                        <!-- head parameters -- -->
                        
                        <?php if($wamc_head_param_count != ""):?>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="form-control-label wamc-map-param-label">
                                        <?php esc_html_e( "Head Text", 'wamc' );?>
                                    </label>
                                    <?php if($wamc_head_param_count>0){ 
                                        echo "<div class='wamc-body-param-map'>";
                                        echo'<b>'; esc_html_e("{1}"); echo'</b>';
                                    ?>
                                    <select class="form-control" id="wamc_head_params" name="wamc_head_params"> 
                                    <option value="-1"><?php esc_html_e("Select Parameter", 'wamc'); ?></option>
                                    <?php
                                    
                                    foreach($option_array as $dval )
                                        { ?>		
                                        <option value="<?php esc_html_e($dval); ?>" <?php 
                                                                if ($dval == $head1) {
                                                                    echo esc_html("selected",'wamc');
                                                                }
                                                                            
                                        ?>><?php esc_html_e($dval); ?> </option>

                                    <?php } ?>
                                    </select>
                                    <?php }else{

                                    }?>
                            </div></div>
                        </div>
                        <?php endif;  ?>
                        <!-- body text-- -->
                        
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="form-control-label wamc-map-param-label">
                                        <?php esc_html_e( "Body Text", 'wamc' );?>
                                    </label>
                                <span class="form-control wamc-form-disabled"> <?php esc_attr_e($body_text); ?>
                                </span>
                            </div>
                        </div>
                            
                        <!-- body text-- -->
                        <?php if($wamc_body_param_count != "0"):?>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="form-control-label wamc-map-param-label">
                                        <?php esc_html_e( "Body Params Mapping", 'wamc' );?>
                                    </label>
                                    <br/>
                                    
                                    <?php
                                    if($wamc_body_param_count>0){
                                    for ($x = 1; $x <= $wamc_body_param_count; $x++) {
                                    echo "<div class='wamc-body-param-map'>";
                                        echo'<b>'; esc_html_e(" {{$x}} "); echo'</b>'; 
                                        $x2 = $x - 1;
                                        if(isset($body_params[$x2])){
                                            $check_flag = $body_params[$x2];
                                        } else{
                                            $check_flag = "none";
                                        }
                                        ?>
                                        
                                        <select class="wamc_body_param_count_class form-control" id="wamc_body_params" name="wamc_body_params[]"> 
                                            <option value="-1"><?php echo esc_html("Select Parameter", 'wamc'); ?></option>
                                            <?php  
                                                foreach($option_array as $dval )
                                                    { ?>		
                                                    <option value="<?php echo esc_attr($dval); ?>" <?php if($dval == $body_params[$x2]) {echo esc_html("selected",'wamc'); }?>> <?php echo esc_attr($dval); ?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    

                                    <p class="wamc_body_param_count_class_restrict"></p>
                                    <?php } }else{

                                        esc_html_e("Body parameter is not available for selection", 'wamc');
                                    }
                                
                                    ?>
                                    
                            </div>
                        </div>
                        <?php endif;  ?>
                        <?php if($wamc_body_param_count == "0"):?>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="form-control-label wamc-map-param-label">
                                        <?php esc_html_e( "Body Parameters", 'wamc' );?>
                                </label>
                                </br>
                                <span class="form-control-label wamc-body-param-map"> 
                                <?php esc_html_e( "This templates does not contains any body parameter to map.", 'wamc' );?>
                                </span>
                            </div>
                        
                        </div>
                        <?php endif; ?>
                        
                        <input type="hidden" value="<?php echo esc_attr($wamc_template_id);?>" name="wamc_template_id" id="wamc_template_id"/>
                            <input type="hidden" value="<?php echo esc_attr($template_name);?>" name="wamc_template_name" id="wamc_template_name"/>
							<input type="hidden" value="<?php echo esc_attr($wamc_head_param_count);?>" name="wamc_head_param_count" id="wamc_head_param_count"/>
							<input type="hidden" value="<?php echo esc_attr($wamc_body_param_count);?>" name="wamc_body_param_count" id="wamc_body_param_count"/>
							<input type="hidden" value="<?php echo esc_attr($wamc_head_text);?>" name="wamc_head_text" id="wamc_head_text"/>
							<input type="hidden" value="<?php echo esc_attr($wamc_body_text);?>" name="wamc_body_text" id="wamc_body_text"/>							
							<input type="hidden" value="<?php echo esc_attr($wamc_button_param_count);?>" name="wamc_button_param_count" id="wamc_button_param_count"/>
							<input type="hidden" value="<?php echo esc_attr($wamc_language_params);?>" name="wamc_language_params" id="wamc_language_params"/>


                        <!-- row ends now--- -->
                
                    <!-- ----------------- -->
                    </div>  
                    <button id="wamc_update_templates" class="btn btn-primary btn-sm mt-2 ms-auto"><span class="fas fa-link"></span> <?php esc_html_e("Map Parameter", 'wamc'); ?></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</main>