
    <?php 
    require_once WAMC_DIR_PATH."/admin/partials/wamc-api-functions.php";  
    $response = new Wamc_API_functions;
    $response = $response->wamc_get_wp_templates();
    $encode_response = json_decode($response);
    ?>
    <div class="container-fluid py-4">
      <div class="row">
        <div class="col-12">
          <div class="card mb-4">
            <div class="card-header pb-0">
              <div class='wamc_add_userlist_btn_flex'>
                <h6 id="wamc_usrlist"><?php esc_html_e('WhatsApp Templates', 'wamc');?></h6>
              </div>
            </div>
            <div class="card-body px-0 pt-0 pb-2">
              <div class="table-responsive p-0">
                <table class="table stripe align-items-center mb-0" id="wamc_camplist_table">
                  <thead>
                    <tr>
                      <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7"><?php esc_html_e('ID', 'wamc');?></th>
                      <th class="wamc_au_pl1 text-uppercase text-secondary text-xxs font-weight-bolder opacity-7 ps-2"><?php esc_html_e('Name', 'wamc');?></th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Language', 'wamc');?>	</th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Status', 'wamc');?>	</th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Update', 'wamc');?>	</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php                    
                    foreach( $encode_response->data as $dkey => $dval ) {
                      $table_class_name = ($dval->status == 'APPROVED') ? 'bg-gradient-wamc-status':'bg-gradient-wamc-delete';
                      
                    ?>
                    
                    <!-- table row -->
                    <tr>
                    <td class="align-middle text-center">
                        <span class="text-secondary text-xs font-weight-bold"><?php
                        esc_html_e($dkey, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td>
                        <div class="d-flex px-2 py-1">
                          <div class="d-flex flex-column justify-content-center">
                            <span class="mb-0 text-sm"><?php esc_html_e($dval->name, 'wamc');?> </span>
                          </div>
                        </div>
                      </td>
                      
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                        <span class="badge badge-sm bg-gradient-wamc-execute"
                        title="<?php esc_html_e($dval->language, 'wamc');?>">
                        <span class="fas fa-calendar"></span>
                        <?php esc_html_e($dval->language, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                        <span class="badge badge-sm <?php esc_attr_e($table_class_name)?>"  title="<?php esc_html_e($dval->status, 'wamc');?>">
                        <?php if($dval->status == 'APPROVED'){
                          echo "<span class='fas fa-check'></span>";
                        }else{
                          echo "<span class='fas fa-ban'></span>";
                        }
                        ?>
                        <?php esc_html_e($dval->status, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                          <a href="?screen=2&id=<?php echo esc_html($dval->name);?>"><span class="badge badge-sm bg-gradient-wamc-edit"
                            title="<?php esc_html_e("Edit Campaign", 'wamc');?>">
                            <span data-camp-id="<?php echo esc_html($dval->name);?>" class="wamc_edit_campaign_icon fa fa-gear"></span>
                          </span></a>

                      </td>
                      <!-- -------------- -->
                    </tr>
                      <!-- table row -->

                      <?php } ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
      
    </div>