<?php
/*
* since @1.0.0
*/
require_once plugin_dir_path( __FILE__ )."wamc-api-functions.php";


class WAMC_HELPER{
    public function get_template_language($args){
		$tempx = $args;
		$response = new Wamc_API_functions();
        $response = $response->wamc_get_wp_templates();
		$res_arr = json_decode($response);
                    foreach($res_arr->data as $dkey => $dval )
                    {
						$temp = $dval->name;
						if($temp == $tempx){
							$language = $dval->language;
						}
					}
		return $language;
	}
    
    public function get_formatted_mobile($mobileNumber, $country){
        
        switch($country){
            case "DE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 49, $mobileNumber );
                return $mobileNumber;
                break;
            case "GG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 44, $mobileNumber );
                return $mobileNumber;
                break;
            case "VA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 39, $mobileNumber );
                return $mobileNumber;
                break;
            case "HU":
                $mobileNumber = $this->wamc_get_valid_mobile( 8, 36, $mobileNumber );
                return $mobileNumber;
                break;
            case "IS":  
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 354, $mobileNumber );
                return $mobileNumber;
                break;
            case "IE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 353, $mobileNumber );
                return $mobileNumber;
                break;
            case "IM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 44, $mobileNumber );
                return $mobileNumber;
                break;
            case "IT":
                $mobileNumber = $this->wamc_get_valid_mobile( 13, 39, $mobileNumber );
                return $mobileNumber;
                break;
            case "JE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 44, $mobileNumber );
                return $mobileNumber;
                break;
            case "LV":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 371, $mobileNumber );
                return $mobileNumber;
                break;
            case "LI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 423, $mobileNumber );
                return $mobileNumber;
                break;
            case "LT":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 370, $mobileNumber );
                return $mobileNumber;
                break;
            case "LU":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 352, $mobileNumber );
                return $mobileNumber;
                break;
            case "MK":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 389, $mobileNumber );
                return $mobileNumber;
                break;
            case "MT":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 356, $mobileNumber );
                return $mobileNumber;
                break;
            case "MD":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 373, $mobileNumber );
                return $mobileNumber;
                break;
            case "MC":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 377, $mobileNumber );
                return $mobileNumber;
                break;
            case "ME":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 382, $mobileNumber );
                return $mobileNumber;
                break;
            case "NL":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 31, $mobileNumber );
                return $mobileNumber;
                break;
            case "NO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 47, $mobileNumber );
                return $mobileNumber;
                break;
            case "RO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 40, $mobileNumber );
                return $mobileNumber;
                break;
            case "RU":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 7, $mobileNumber );
                return $mobileNumber;
                break;
            case "RS":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 381, $mobileNumber );
                return $mobileNumber;
                break;
            case "SK":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 421, $mobileNumber );
                return $mobileNumber;
                break;
            case "SI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 386, $mobileNumber );
                return $mobileNumber;
                break;
            case "ES":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 34, $mobileNumber );
                return $mobileNumber;
                break;
            case "SJ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 47, $mobileNumber );
                return $mobileNumber;
                break;
            case "SE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 46, $mobileNumber );
                return $mobileNumber;
                break;
            case "CH":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 41, $mobileNumber );
                return $mobileNumber;
                break;
            case "UA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 380, $mobileNumber );
                return $mobileNumber;
                break;
            case "GB":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 44, $mobileNumber );
                return $mobileNumber;
                break;
            case "GI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 350, $mobileNumber );
                return $mobileNumber;
                break;
            case "GR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 30, $mobileNumber );
                return $mobileNumber;
                break;
            case "AX":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 358, $mobileNumber );
                return $mobileNumber;
                break;
            case "AL":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 355, $mobileNumber );
                return $mobileNumber;
                break;
            case "AD":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 376, $mobileNumber );
                return $mobileNumber;
                break;
            case "AT":
                $mobileNumber = $this->wamc_get_valid_mobile( 11, 43, $mobileNumber );
                return $mobileNumber;
                break;
            case "BA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 387, $mobileNumber );
                return $mobileNumber;
                break;
            case "BY":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 375, $mobileNumber );
                return $mobileNumber;
                break;
            case "BE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 32, $mobileNumber );
                return $mobileNumber;
                break;
            case "BG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 359, $mobileNumber );
                return $mobileNumber;
                break;
            case "CZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 420, $mobileNumber );
                return $mobileNumber;
                break;
            case "DK":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 45, $mobileNumber );
                return $mobileNumber;
                break;
            case "EE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 372, $mobileNumber );
                return $mobileNumber;
                break;
            case "HR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 385, $mobileNumber );
                return $mobileNumber;
                break;
            case "FI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 358, $mobileNumber );
                return $mobileNumber;
                break;
            case "FR":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 33, $mobileNumber );
                return $mobileNumber;
                break;
            case "FO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 298, $mobileNumber );
                return $mobileNumber;
                break;
            case "PL":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 48, $mobileNumber );
                return $mobileNumber;
                break;
            case "PT":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 351, $mobileNumber );
                return $mobileNumber;
                break;
            case "SM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 378, $mobileNumber );
                return $mobileNumber;
                break;
            case "GH":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 233, $mobileNumber );
                return $mobileNumber;
                break;
            case "DZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 213, $mobileNumber );
                return $mobileNumber;
                break;
            case "AO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 244, $mobileNumber );
                return $mobileNumber;
                break;
            case "BJ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 229, $mobileNumber );
                return $mobileNumber;
                break;
            case "BW":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 267, $mobileNumber );
                return $mobileNumber;
                break;
            case "BF":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 226, $mobileNumber );
                return $mobileNumber;
                break;
            case "BI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 257, $mobileNumber );
                return $mobileNumber;
                break;
            case "CM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 237, $mobileNumber );
                return $mobileNumber;
                break;
            case "CV":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 238, $mobileNumber );
                return $mobileNumber;
                break;
            case "CF":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 236, $mobileNumber );
                return $mobileNumber;
                break;
            case "TD":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 235, $mobileNumber );
                return $mobileNumber;
                break;
            case "KM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 269, $mobileNumber );
                return $mobileNumber;
                break;
            case "CD":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 243, $mobileNumber );
                return $mobileNumber;
                break;
            case "CG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 242, $mobileNumber );
                return $mobileNumber;
                break;
            case "CI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 225, $mobileNumber );
                return $mobileNumber;
                break;
            case "DJ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 253, $mobileNumber );
                return $mobileNumber;
                break;
            case "EG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 20, $mobileNumber );
                return $mobileNumber;
                break;
            case "GQ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 240, $mobileNumber );
                return $mobileNumber;
                break;
            case "ER":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 291, $mobileNumber );
                return $mobileNumber;
                break;
            case "ET":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 251, $mobileNumber );
                return $mobileNumber;
                break;
            case "GA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 63, $mobileNumber );
                return $mobileNumber;
                break;
            case "GM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 220, $mobileNumber );
                return $mobileNumber;
                break;
            case "GN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 224, $mobileNumber );
                return $mobileNumber;
                break;
            case "GW":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 245, $mobileNumber );
                return $mobileNumber;
                break;
            case "KE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 254, $mobileNumber );
                return $mobileNumber;
                break;
            case "LS":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 266, $mobileNumber );
                return $mobileNumber;
                break;
            case "LR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 231, $mobileNumber );
                return $mobileNumber;
                break;
            case "LY":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 218, $mobileNumber );
                return $mobileNumber;
                break;
            case "MG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 261, $mobileNumber );
                return $mobileNumber;
                break;
            case "MW":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 265, $mobileNumber );
                return $mobileNumber;
                break;
            case "ML":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 223, $mobileNumber );
                return $mobileNumber;
                break;
            case "MR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 222, $mobileNumber );
                return $mobileNumber;
                break;
            case "MU":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 230, $mobileNumber );
                return $mobileNumber;
                break;
            case "YT":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 262, $mobileNumber );
                return $mobileNumber;
                break;
            case "MA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 212, $mobileNumber );
                return $mobileNumber;
                break;
            case "MZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 12, 258, $mobileNumber );
                return $mobileNumber;
                break;
            case "NA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 264, $mobileNumber );
                return $mobileNumber;
                break;
            case "NE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 227, $mobileNumber );
                return $mobileNumber;
                break;
            case "NG":
                $mobileNumber = $this->wamc_get_valid_mobile( 8, 234, $mobileNumber );
                return $mobileNumber;
                break;
            case "RE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 262, $mobileNumber );
                return $mobileNumber;
                break;
            case "RW":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 250, $mobileNumber );
                return $mobileNumber;
                break;
            case "SH":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 290, $mobileNumber );
                return $mobileNumber;
                break;
            case "ST":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 239, $mobileNumber );
                return $mobileNumber;
                break;
            case "SN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 221, $mobileNumber );
                return $mobileNumber;
                break;
            case "SC":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 248, $mobileNumber );
                return $mobileNumber;
                break;
            case "SL":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 232, $mobileNumber );
                return $mobileNumber;
                break;
            case "SO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 252, $mobileNumber );
                return $mobileNumber;
                break;
            case "ZA":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 27, $mobileNumber );
                return $mobileNumber;
                break;       
            case "SD":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 249, $mobileNumber );
                return $mobileNumber;
                break;
            case "SZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 268, $mobileNumber );
                return $mobileNumber;
                break;
            case "TZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 255, $mobileNumber );
                return $mobileNumber;
                break;
            case "TG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 228, $mobileNumber );
                return $mobileNumber;
                break;
            case "TN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 216, $mobileNumber );
                return $mobileNumber;
                break;
            case "UG":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 256, $mobileNumber );
                return $mobileNumber;
                break;
            case "ZM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 260, $mobileNumber );
                return $mobileNumber;
                break;
            case "ZW":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 263, $mobileNumber );
                return $mobileNumber;
                break;
            case "AF":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 93, $mobileNumber );
                return $mobileNumber;
                break;
            case "AM":
                $mobileNumber = $this->wamc_get_valid_mobile( 8, 374, $mobileNumber );
                return $mobileNumber;
                break;
            case "AZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 994, $mobileNumber );
                return $mobileNumber;
                break;
            case "BH":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 973, $mobileNumber );
                return $mobileNumber;
                break;
            case "BD":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 880, $mobileNumber );
                return $mobileNumber;
                break;
            case "BT":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 975, $mobileNumber );
                return $mobileNumber;
                break;
            case "IO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 246, $mobileNumber );
                return $mobileNumber;
                break;
            case "BN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 673, $mobileNumber );
                return $mobileNumber;
                break;
            case "KH":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 855, $mobileNumber );
                return $mobileNumber;
                break;
            case "CN":
                $mobileNumber = $this->wamc_get_valid_mobile( 11, 86, $mobileNumber );
                return $mobileNumber;
                break;
            case "CX":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 61, $mobileNumber );
                return $mobileNumber;
                break;
            case "CC":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 61, $mobileNumber );
                return $mobileNumber;
                break;
            case "CY":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 357, $mobileNumber );
                return $mobileNumber;
                break;
            case "GE":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 995, $mobileNumber );
                return $mobileNumber;
                break;
            case "HK":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 852, $mobileNumber );
                return $mobileNumber;
                break;
            case "IN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 91, $mobileNumber );
                return $mobileNumber;
                break;
            case "ID":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 62, $mobileNumber );
                return $mobileNumber;
                break;
            case "IR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 98, $mobileNumber );
                return $mobileNumber;
                break;
            case "IQ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 964, $mobileNumber );
                return $mobileNumber;
                break;
            case "IL":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 972, $mobileNumber );
                return $mobileNumber;
                break;
            case "JP":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 81, $mobileNumber );
                return $mobileNumber;
                break;
            case "JO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 962, $mobileNumber );
                return $mobileNumber;
                break;
            case "KZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 77, $mobileNumber );
                return $mobileNumber;
                break;
            case "KP":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 850, $mobileNumber );
                return $mobileNumber;
                break;
            case "KR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 82, $mobileNumber );
                return $mobileNumber;
                break;
            case "KW":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 965, $mobileNumber );
                return $mobileNumber;
                break;
            case "KG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 996, $mobileNumber );
                return $mobileNumber;
                break;
            case "LA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 856, $mobileNumber );
                return $mobileNumber;
                break;
            case "LB":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 961, $mobileNumber );
                return $mobileNumber;
                break;
            case "MO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 853, $mobileNumber );
                return $mobileNumber;
                break;
            case "MY":
                $mobileNumber = $this->wamc_get_valid_mobile( 7, 60, $mobileNumber );
                return $mobileNumber;
                break;
            case "MV":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 960, $mobileNumber );
                return $mobileNumber;
                break;
            case "MN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 976, $mobileNumber );
                return $mobileNumber;
                break;
            case "MM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 95, $mobileNumber );
                return $mobileNumber;
                break;
            case "NP":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 977, $mobileNumber );
                return $mobileNumber;
                break;
            case "OM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 968, $mobileNumber );
                return $mobileNumber;
                break;
            case "PK":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 92, $mobileNumber );
                return $mobileNumber;
                break;
            case "PS":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 970, $mobileNumber );
                return $mobileNumber;
                break;
            case "PH":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 63, $mobileNumber );
                return $mobileNumber;
                break;
            case "QA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 974, $mobileNumber );
                return $mobileNumber;
                break;
            case "SA":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 966, $mobileNumber );
                return $mobileNumber;
                break;
            case "SG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 65, $mobileNumber );
                return $mobileNumber;
                break;
            case "LK":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 94, $mobileNumber );
                return $mobileNumber;
                break;
            case "SY":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 963, $mobileNumber );
                return $mobileNumber;
                break;
            case "TW":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 886, $mobileNumber );
                return $mobileNumber;
                break;
            case "TJ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 992, $mobileNumber );
                return $mobileNumber;
                break;
            case "TH":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 66, $mobileNumber );
                return $mobileNumber;
                break;
            case "TL":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 670, $mobileNumber );
                return $mobileNumber;
                break;
            case "TR":
                $mobileNumber = $this->wamc_get_valid_mobile( 11, 90, $mobileNumber );
                return $mobileNumber;
                break;
            case "TM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 993, $mobileNumber );
                return $mobileNumber;
                break;
            case "AE":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 971, $mobileNumber );
                return $mobileNumber;
                break;
            case "UZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 998, $mobileNumber );
                return $mobileNumber;
                break;
            case "VN":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 84, $mobileNumber );
                return $mobileNumber;
                break;
            case "YE":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 967, $mobileNumber );
                return $mobileNumber;
                break;
            case "AU":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 61, $mobileNumber );
                return $mobileNumber;
                break;
            case "AS":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1684, $mobileNumber );
                return $mobileNumber;
                break;
            case "CK":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 682, $mobileNumber );
                return $mobileNumber;
                break;
            case "FJ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 679, $mobileNumber );
                return $mobileNumber;
                break;
            case "PF":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 689, $mobileNumber );
                return $mobileNumber;
                break;
            case "GU":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1671, $mobileNumber );
                return $mobileNumber;
                break;
            case "KI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 686, $mobileNumber );
                return $mobileNumber;
                break;
            case "MH":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 692, $mobileNumber );
                return $mobileNumber;
                break;
            case "FM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 691, $mobileNumber );
                return $mobileNumber;
                break;
            case "NR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 674, $mobileNumber );
                return $mobileNumber;
                break;
            case "NC":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 687, $mobileNumber );
                return $mobileNumber;
                break;
            case "NZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 64, $mobileNumber );
                return $mobileNumber;
                break;
            case "NU":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 683, $mobileNumber );
                return $mobileNumber;
                break;
            case "NF":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 672, $mobileNumber );
                return $mobileNumber;
                break;
            case "MP":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1670, $mobileNumber );
                return $mobileNumber;
                break;
            case "PW":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 680, $mobileNumber );
                return $mobileNumber;
                break;
            case "PG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 675, $mobileNumber );
                return $mobileNumber;
                break;
            case "PN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 872, $mobileNumber );
                return $mobileNumber;
                break;
            case "WS":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 685, $mobileNumber );
                return $mobileNumber;
                break;
            case "SB":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 677, $mobileNumber );
                return $mobileNumber;
                break;
            case "TK":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 690, $mobileNumber );
                return $mobileNumber;
                break;
            case "TO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 676, $mobileNumber );
                return $mobileNumber;
                break;
            case "TV":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 688, $mobileNumber );
                return $mobileNumber;
                break;
            case "UM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 32, $mobileNumber );
                return $mobileNumber;
                break;
            case "VU":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 678, $mobileNumber );
                return $mobileNumber;
                break;
            case "WF":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 681, $mobileNumber );
                return $mobileNumber;
                break;
            case "AQ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 672, $mobileNumber );
                return $mobileNumber;
                break;
            case "GS":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 500, $mobileNumber );
                return $mobileNumber;
                break;
            case "AI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1264, $mobileNumber );
                return $mobileNumber;
                break;
            case "AW":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 297, $mobileNumber );
                return $mobileNumber;
                break;
            case "AG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1268, $mobileNumber );
                return $mobileNumber;
                break;
            case "BS":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1242, $mobileNumber );
                return $mobileNumber;
                break;
            case "BB":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1246, $mobileNumber );
                return $mobileNumber;
                break;
            case "BZ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 501, $mobileNumber );
                return $mobileNumber;
                break;
            case "BM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1441, $mobileNumber );
                return $mobileNumber;
                break;
            case "CA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1, $mobileNumber );
                return $mobileNumber;
                break;
            case "KY":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 345, $mobileNumber );
                return $mobileNumber;
                break;
            case "VG":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1284, $mobileNumber );
                return $mobileNumber;
                break;
            case "CR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 506, $mobileNumber );
                return $mobileNumber;
                break;
            case "CU":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 53, $mobileNumber );
                return $mobileNumber;
                break;
            case "DM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1767, $mobileNumber );
                return $mobileNumber;
                break;
            case "DO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1849, $mobileNumber );
                return $mobileNumber;
                break;
            case "SV":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 503, $mobileNumber );
                return $mobileNumber;
                break;
            case "GL":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 299, $mobileNumber );
                return $mobileNumber;
                break;
            case "GD":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1473, $mobileNumber );
                return $mobileNumber;
                break;
            case "GP":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 590, $mobileNumber );
                return $mobileNumber;
                break;
            case "GT":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 502, $mobileNumber );
                return $mobileNumber;
                break;
            case "HT":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 509, $mobileNumber );
                return $mobileNumber;
                break;
            case "HN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 504, $mobileNumber );
                return $mobileNumber;
                break;
            case "JM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1876, $mobileNumber );
                return $mobileNumber;
                break;
            case "MQ":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 596, $mobileNumber );
                return $mobileNumber;
                break;
            case "MX":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 52, $mobileNumber );
                return $mobileNumber;
                break;
            case "MS":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1664, $mobileNumber );
                return $mobileNumber;
                break;
            case "NI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 505, $mobileNumber );
                return $mobileNumber;
                break;
            case "PA":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 507, $mobileNumber );
                return $mobileNumber;
                break;
            case "PR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1939, $mobileNumber );
                return $mobileNumber;
                break;
            case "BL":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 590, $mobileNumber );
                return $mobileNumber;
                break;
            case "KN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1869, $mobileNumber );
                return $mobileNumber;
                break;
            case "LC":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1758, $mobileNumber );
                return $mobileNumber;
                break;
            case "MF":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 590, $mobileNumber );
                return $mobileNumber;
                break;
            case "PM":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 508, $mobileNumber );
                return $mobileNumber;
                break;
            case "VC":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1784, $mobileNumber );
                return $mobileNumber;
                break;
            case "AN":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 599, $mobileNumber );
                return $mobileNumber;
                break;
            case "TT":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1868, $mobileNumber );
                return $mobileNumber;
                break;
            case "TC":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1649, $mobileNumber );
                return $mobileNumber;
                break;
            case "US":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 1, $mobileNumber );
                return $mobileNumber;
                break;
            case "VI":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 84, $mobileNumber );
                return $mobileNumber;
                break;
            case "AR":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 54, $mobileNumber );
                return $mobileNumber;
                break;
            case "BO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 591, $mobileNumber );
                return $mobileNumber;
                break;
            case "CL":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 56, $mobileNumber );
                return $mobileNumber;
                break;
            case "CO":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 57, $mobileNumber );
                return $mobileNumber;
                break;
            case "BR":
                $mobileNumber = $this->wamc_get_valid_mobile( 11, 55, $mobileNumber );
                return $mobileNumber;
                break;
            case "EC":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 593, $mobileNumber );
                return $mobileNumber;
                break;
            case "FK":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 500, $mobileNumber );
                return $mobileNumber;
                break;
            case "GF":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 594, $mobileNumber );
                return $mobileNumber;
                break;
            case "GY":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 595, $mobileNumber );
                return $mobileNumber;
                break;
            case "PY":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 595, $mobileNumber );
                return $mobileNumber;
                break;
            case "PE":
                $mobileNumber = $this->wamc_get_valid_mobile( 9, 51, $mobileNumber );
                return $mobileNumber;
                break;
            case "SR":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 94, $mobileNumber );
                return $mobileNumber;
                break;
            case "UY":
                $mobileNumber = $this->wamc_get_valid_mobile( 10, 598, $mobileNumber );
                return $mobileNumber;
                break;
            case "VE":
                $mobileNumber = $this->wamc_get_valid_mobile( 7, 58, $mobileNumber );
                return $mobileNumber;
                break;
            
            default:
                $mobileNumber = $this->wamc_get_valid_mobile_without_country( $mobileNumber );

            }
    }


    public function wamc_get_valid_mobile( $mobileLength, $mobileCountry, $mobileNumber ) {

        // check if mobilenumber is equals to country number length
        if ( strlen( $mobileNumber ) === $mobileLength ) { 
            $mobileNumber = $mobileCountry . $mobileNumber;
        } elseif ( strlen( $mobileNumber ) === $mobileLength - 1 ) {
            $mobileNumber = "";
        } elseif ( strlen( $mobileNumber ) == $mobileLength + 1 ) {
            $_mobile = substr( $mobileNumber, 0, 1 );
            if ( ( $_mobile == "0" ) || ( $_mobile == $mobileCountry ) ) {
                $mobileNumber = substr( $mobileNumber, 1, $mobileLength );
                $mobileNumber = $mobileCountry . $mobileNumber;
            } else {
                $mobileNumber = "";
            }
        } elseif ( strlen( $mobileNumber ) == $mobileLength + 2 ) {
            $_mobile = substr( $mobileNumber, 0, 2 );
            if ( strcmp( $_mobile, $mobileCountry ) ) {
                $mobileNumber = "";
            }
        } elseif ( strlen( $mobileNumber ) == $mobileLength + 3 ) {
            $_mobile = substr( $mobileNumber, 0, 3 );
            // compare number
            if ( strcmp( $_mobile, $mobileCountry ) ) {
                $mobileNumber = "";
            }
        } elseif ( strlen( $mobileNumber ) >= $mobileLength + 4 ) {
            $_mobile = substr( $mobileNumber, 0, 4 );

            // compare number
            if ( strcmp( $_mobile, $mobileCountry ) ) {
                $mobileNumber = "";
            }
        }
       
        return $mobileNumber;
    }


    public function wamc_get_valid_mobile_without_country($mobile){
        return;
    }


}