<?php
    $url = $_SERVER['REQUEST_URI'];
    $path = parse_url($url, PHP_URL_PATH);
    $segments = explode('/', rtrim($path, '/'));
    $__URL = end($segments);	
    if($__URL != "wamc-userlist"){
        die;
    }
?>
<div class="container-fluid py-4">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header pb-0">
          <div class='wamc-create-user-via'>
            <div class='wamc-create-user-via-csv wamc-create-user-via-active'>

              <?php esc_html_e('Upload CSV', 'wamc');?>
            </div>
            <a href='?via=users'>
              <div class='wamc-create-user-via-users'>
                <?php esc_html_e('Select From Existing Users', 'wamc');?>
              </div>
            </a>
          </div>
          <hr />
          <div class="d-flex align-items-center">
            <p class="mb-0">
              <?php esc_html_e('Upload Contacts via CSV not', 'wamc');?>
            </p>
          </div>
        </div>
        <!-- now body section -->
        <div class="card-body">
          <div class="row wamc-flex-col">
            <div class="col-md-4">
              <div class="form-group">
                <label for="example-text-input" class="form-control-label">
                  <?php esc_html_e( "Contact List Name:", 'wamc' );?>
                </label>
                <input class="form-control" type="text" id="wamc_add_userlist_name" placeholder="<?php esc_html_e( "Enter the name of userlist.", 'wamc' );?> " onfocus="focused(this)" onfocusout="defocused(this)">
              </div>
            </div>
            <div class="col-md-4">
              <div class="form-group">
                <label for="example-text-input" class="form-control-label">
                  <?php esc_html_e( "Description", 'wamc' );?>
                </label>
                <input class="form-control" type="text" id="wamc_add_userlist_description"
                  placeholder="<?php esc_html_e( " This list is about...", 'wamc' );?>" onfocus="focused(this)"
                onfocusout="defocused(this)">
              </div>
            </div>
            <!-- ---- -->
            <div class="col-md-4">
              <div class="form-group">
                <label for="example-text-input" class="form-control-label">
                  <?php esc_html_e( "Upload CSV file", 'wamc' );?>
                </label>
                <input class="form-control" id="wamc_upload_userlist" name="myfile" type="file"
                  placeholder="<?php esc_html_e( " This list is about...", 'wamc' );?>" onfocus="focused(this)"
                onfocusout="defocused(this)">
              </div>
            </div>
            <!-- ----------------- -->
          </div>
          <button id="wamc_add_new_userlist_csv" class="btn btn-primary btn-sm mt-2 ms-auto"><span class="fas fa-plus"></span> <?php esc_html_e("Create User List", 'wamc'); ?></button>
        </div>
      </div>
    </div>
  </div>
</div>
</main>