<table id="wamc_add_to_list_via_users" class="datatable">
                <thead>
                    <tr>
                    <th><input type="checkbox" name="select_all" value="1" id="wamc-select-allusers"></th>
                        <th><?php esc_html_e('User ID', 'wamc');?></th>
                        <th><?php esc_html_e('First Name', 'wamc');?></th>
                        <th><?php esc_html_e('Last Name', 'wamc');?></th>
                        <th><?php esc_html_e('Mobile', 'wamc');?></th>
                        <th class="text-center"><?php esc_html_e('Edit');?></th>
                    </tr>
                    
                </thead>
                <tbody>
                <?php
                foreach((array)$users_all as $users )
                    {   
                        $user = get_user_by('id', $users);
                        $mobileN = get_user_meta($user->ID, 'wamc_phone', true);
                      ?>
                    <tr id="wamc-tr-rowid-<?php echo esc_attr($user->ID); ?>">
                        <td><input class="wamc-user-select-input" type="checkbox" name="wamc-user-select-input" value="<?php echo esc_attr($user->ID); ?>"/></td>
                        <td class="wamc-user-select-input-dbbody"><?php echo esc_attr($user->ID); ?></td>
                        <td id="wamc-fn-<?php echo esc_attr($user->ID); ?>" class="wamc-user-select-input-dbbody"><?php echo esc_attr($user->first_name); ?></td>
                        <td id="wamc-ln-<?php echo esc_attr($user->ID); ?>" class="wamc-user-select-input-dbbody"><?php echo esc_attr($user->last_name); ?></td>
                        <td id="wamc-mb-<?php echo esc_attr($user->ID); ?>" class="wamc-user-select-input-dbbody"><?php echo esc_attr($mobileN); ?></td>
                        

                        <td class="text-sm text-center">
                            
                            <a href="#ex1" rel="modal:open">
                                <span id="wamc_edit_onthego_<?php echo esc_attr($user->ID); ?>" data-uid="<?php echo esc_attr($user->ID); ?>" data-fname="<?php echo esc_attr($user->first_name); ?>" data-lname="<?php echo esc_attr($user->last_name); ?>" data-wamc-mob="<?php echo esc_attr($mobileN); ?>" class="wamc_edit_user_onthego badge badge-sm bg-gradient-wamc-edit"
                                        title="<?php esc_html_e("Add or Delete Users to Userlist", 'wamc');?>">
                                    <i class="fas fa-pencil"> </i>
                                </span>
                            </a>
                            
                            <span data-ulist-id="<?php echo esc_attr($user->ID); ?>" class="wamc_remove_user_class badge badge-sm bg-gradient-wamc-delete"
                                title="<?php esc_html_e("Add or Delete Users to Userlist", 'wamc');?>">
                                <i class="fas fa-trash"> </i>
                            </span>
                        </td>


                    </tr>
                    <?php
                    }
                    
                    ?>
                    </tbody>
                    <tfoot>
                    <tr>
                    <th><input type="checkbox" name="select_all" value="2" id="wamc-select-allusers2"></th>
                        <th><?php esc_html_e('User ID', 'wamc');?></th>
                        <th><?php esc_html_e('First Name', 'wamc');?></th>
                        <th><?php esc_html_e('Last Name', 'wamc');?></th>
                        <th><?php esc_html_e('Mobile', 'wamc');?></th>
                        <th class="text-center"><?php esc_html_e('Edit');?></th>

                    </tr>
                    
                </tfoot>
            </table>  
            <input type="hidden" value="<?php esc_attr_e($_GET['id']);?>" id="wamc_userlist_id"/>

            <div id="ex1" class="modal">
                <div class="row pt-3">
                <input type="hidden" value="" id="wamc_userlist_id_edit"/>
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "First Name", 'wamc' );?>
                                </label>
                                <input id='wamc_user_fname_edit' type='text' value="" class="form-control"/>

                            </div>
                        </div>


                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Last Name", 'wamc' );?>
                                </label>
                                <input id='wamc_user_lname_edit' type='text' value="" class="form-control"/>

                            </div>
                        </div>


                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Mobile", 'wamc' );?>
                                </label>
                                <input id='wamc_user_mobile_edit' type='text' value="" class="form-control"/>

                            </div>
                        </div>

                        <button id="wamc_update_user_onthego" class="btn btn-primary btn-sm mt-2 ms-auto"><span class="fas fa-user"></span> <?php esc_html_e("Update", 'wamc'); ?></button>
                </div>

                

            </div>





            <div id="ex2" class="modal">
                <div class="row pt-3">
                        <div class="col-md-6">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "First Name", 'wamc' );?>
                                </label>
                                <input id='wamc-add-user-fname' type='text' value="" class="form-control"/>

                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Last Name", 'wamc' );?>
                                </label>
                                <input id='wamc-add-user-lname' type='text' value="" class="form-control"/>

                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                            <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Mobile Number", 'wamc' );?>
                                </label>
                                <input id='wamc-add-user-mobile' type='number' class="form-control"/>

                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="example-text-input" class="wamc-dark-label form-control-label">
                                    <?php esc_html_e( "Country", 'wamc' );?>
                                </label>

                                <select id='wamc-add-user-country' class="form-control">
                                    <option value="-1"><?php esc_attr_e("--");?> </option>
                                    <option value="AF"><?php esc_attr_e("Afghanistan");?> </option>
                                    <option value="AX"><?php esc_attr_e("Åland Islands");?> </option>
                                    <option value="AL"><?php esc_attr_e("Albania");?> </option>
                                    <option value="DZ"><?php esc_attr_e("Algeria");?> </option>
                                    <option value="AS"><?php esc_attr_e("American Samoa");?> </option>
                                    <option value="AD"><?php esc_attr_e("Andorra");?> </option>
                                    <option value="AO"><?php esc_attr_e("Angola");?> </option>
                                    <option value="AI"><?php esc_attr_e("Anguilla");?> </option>
                                    <option value="AQ"><?php esc_attr_e("Antarctica");?> </option>
                                    <option value="AG"><?php esc_attr_e("Antigua and Barbuda");?> </option>
                                    <option value="AR"><?php esc_attr_e("Argentina");?> </option>
                                    <option value="AM"><?php esc_attr_e("Armenia");?> </option>
                                    <option value="AW"><?php esc_attr_e("Aruba");?> </option>
                                    <option value="AU"><?php esc_attr_e("Australia");?> </option>
                                    <option value="AT"><?php esc_attr_e("Austria");?> </option>
                                    <option value="AZ"><?php esc_attr_e("Azerbaijan");?> </option>
                                    <option value="BS"><?php esc_attr_e("Bahamas (the)");?> </option>
                                    <option value="BH"><?php esc_attr_e("Bahrain");?> </option>
                                    <option value="BD"><?php esc_attr_e("Bangladesh");?> </option>
                                    <option value="BB"><?php esc_attr_e("Barbados");?> </option>
                                    <option value="BY"><?php esc_attr_e("Belarus");?> </option>
                                    <option value="BE"><?php esc_attr_e("Belgium");?> </option>
                                    <option value="BZ"><?php esc_attr_e("Belize");?> </option>
                                    <option value="BJ"><?php esc_attr_e("Benin");?> </option>
                                    <option value="BM"><?php esc_attr_e("Bermuda");?> </option>
                                    <option value="BT"><?php esc_attr_e("Bhutan");?> </option>
                                    <option value="BO"><?php esc_attr_e("Bolivia (Plurinational State of)");?> </option>
                                    <option value="BQ"><?php esc_attr_e("Bonaire, Sint Eustatius and Saba");?> </option>
                                    <option value="BA"><?php esc_attr_e("Bosnia and Herzegovina");?> </option>
                                    <option value="BW"><?php esc_attr_e("Botswana");?> </option>
                                    <option value="BV"><?php esc_attr_e("Bouvet Island");?> </option>
                                    <option value="BR"><?php esc_attr_e("Brazil");?> </option>
                                    <option value="IO"><?php esc_attr_e("British Indian Ocean Territory (the)");?> </option>
                                    <option value="BN"><?php esc_attr_e("Brunei Darussalam");?> </option>
                                    <option value="BG"><?php esc_attr_e("Bulgaria");?> </option>
                                    <option value="BF"><?php esc_attr_e("Burkina Faso");?> </option>
                                    <option value="BI"><?php esc_attr_e("Burundi");?> </option>
                                    <option value="CV"><?php esc_attr_e("Cabo Verde");?> </option>
                                    <option value="KH"><?php esc_attr_e("Cambodia");?> </option>
                                    <option value="CM"><?php esc_attr_e("Cameroon");?> </option>
                                    <option value="CA"><?php esc_attr_e("Canada");?> </option>
                                    <option value="KY"><?php esc_attr_e("Cayman Islands (the)");?> </option>
                                    <option value="CF"><?php esc_attr_e("Central African Republic (the)");?> </option>
                                    <option value="TD"><?php esc_attr_e("Chad");?> </option>
                                    <option value="CL"><?php esc_attr_e("Chile");?> </option>
                                    <option value="CN"><?php esc_attr_e("China");?> </option>
                                    <option value="CX"><?php esc_attr_e("Christmas Island");?> </option>
                                    <option value="CC"><?php esc_attr_e("Cocos (Keeling) Islands (the)");?> </option>
                                    <option value="CO"><?php esc_attr_e("Colombia");?> </option>
                                    <option value="KM"><?php esc_attr_e("Comoros (the)");?> </option>
                                    <option value="CD"><?php esc_attr_e("Congo (the Democratic Republic of the)");?> </option>
                                    <option value="CG"><?php esc_attr_e("Congo (the)");?> </option>
                                    <option value="CK"><?php esc_attr_e("Cook Islands (the)");?> </option>
                                    <option value="CR"><?php esc_attr_e("Costa Rica");?> </option>
                                    <option value="HR"><?php esc_attr_e("Croatia");?> </option>
                                    <option value="CU"><?php esc_attr_e("Cuba");?> </option>
                                    <option value="CW"><?php esc_attr_e("Curaçao");?> </option>
                                    <option value="CY"><?php esc_attr_e("Cyprus");?> </option>
                                    <option value="CZ"><?php esc_attr_e("Czechia");?> </option>
                                    <option value="CI"><?php esc_attr_e("Côte d'Ivoire");?> </option>
                                    <option value="DK"><?php esc_attr_e("Denmark");?> </option>
                                    <option value="DJ"><?php esc_attr_e("Djibouti");?> </option>
                                    <option value="DM"><?php esc_attr_e("Dominica");?> </option>
                                    <option value="DO"><?php esc_attr_e("Dominican Republic (the)");?> </option>
                                    <option value="EC"><?php esc_attr_e("Ecuador");?> </option>
                                    <option value="EG"><?php esc_attr_e("Egypt");?> </option>
                                    <option value="SV"><?php esc_attr_e("El Salvador");?> </option>
                                    <option value="GQ"><?php esc_attr_e("Equatorial Guinea");?> </option>
                                    <option value="ER"><?php esc_attr_e("Eritrea");?> </option>
                                    <option value="EE"><?php esc_attr_e("Estonia");?> </option>
                                    <option value="SZ"><?php esc_attr_e("Eswatini");?> </option>
                                    <option value="ET"><?php esc_attr_e("Ethiopia");?> </option>
                                    <option value="FK"><?php esc_attr_e("Falkland Islands (the) [Malvinas]");?> </option>
                                    <option value="FO"><?php esc_attr_e("Faroe Islands (the)");?> </option>
                                    <option value="FJ"><?php esc_attr_e("Fiji");?> </option>
                                    <option value="FI"><?php esc_attr_e("Finland");?> </option>
                                    <option value="FR"><?php esc_attr_e("France");?> </option>
                                    <option value="GF"><?php esc_attr_e("French Guiana");?> </option>
                                    <option value="PF"><?php esc_attr_e("French Polynesia");?> </option>
                                    <option value="TF"><?php esc_attr_e("French Southern Territories (the)");?> </option>
                                    <option value="GA"><?php esc_attr_e("Gabon");?> </option>
                                    <option value="GM"><?php esc_attr_e("Gambia (the)");?> </option>
                                    <option value="GE"><?php esc_attr_e("Georgia");?> </option>
                                    <option value="DE"><?php esc_attr_e("Germany");?> </option>
                                    <option value="GH"><?php esc_attr_e("Ghana");?> </option>
                                    <option value="GI"><?php esc_attr_e("Gibraltar");?> </option>
                                    <option value="GR"><?php esc_attr_e("Greece");?> </option>
                                    <option value="GL"><?php esc_attr_e("Greenland");?> </option>
                                    <option value="GD"><?php esc_attr_e("Grenada");?> </option>
                                    <option value="GP"><?php esc_attr_e("Guadeloupe");?> </option>
                                    <option value="GU"><?php esc_attr_e("Guam");?> </option>
                                    <option value="GT"><?php esc_attr_e("Guatemala");?> </option>
                                    <option value="GG"><?php esc_attr_e("Guernsey");?> </option>
                                    <option value="GN"><?php esc_attr_e("Guinea");?> </option>
                                    <option value="GW"><?php esc_attr_e("Guinea-Bissau");?> </option>
                                    <option value="GY"><?php esc_attr_e("Guyana");?> </option>
                                    <option value="HT"><?php esc_attr_e("Haiti");?> </option>
                                    <option value="HM"><?php esc_attr_e("Heard Island and McDonald Islands");?> </option>
                                    <option value="VA"><?php esc_attr_e("Holy See (the)");?> </option>
                                    <option value="HN"><?php esc_attr_e("Honduras");?> </option>
                                    <option value="HK"><?php esc_attr_e("Hong Kong");?> </option>
                                    <option value="HU"><?php esc_attr_e("Hungary");?> </option>
                                    <option value="IS"><?php esc_attr_e("Iceland");?> </option>
                                    <option value="IN"><?php esc_attr_e("India");?> </option>
                                    <option value="ID"><?php esc_attr_e("Indonesia");?> </option>
                                    <option value="IR"><?php esc_attr_e("Iran (Islamic Republic of)");?> </option>
                                    <option value="IQ"><?php esc_attr_e("Iraq");?> </option>
                                    <option value="IE"><?php esc_attr_e("Ireland");?> </option>
                                    <option value="IM"><?php esc_attr_e("Isle of Man");?> </option>
                                    <option value="IL"><?php esc_attr_e("Israel");?> </option>
                                    <option value="IT"><?php esc_attr_e("Italy");?> </option>
                                    <option value="JM"><?php esc_attr_e("Jamaica");?> </option>
                                    <option value="JP"><?php esc_attr_e("Japan");?> </option>
                                    <option value="JE"><?php esc_attr_e("Jersey");?> </option>
                                    <option value="JO"><?php esc_attr_e("Jordan");?> </option>
                                    <option value="KZ"><?php esc_attr_e("Kazakhstan");?> </option>
                                    <option value="KE"><?php esc_attr_e("Kenya");?> </option>
                                    <option value="KI"><?php esc_attr_e("Kiribati");?> </option>
                                    <option value="KP"><?php esc_attr_e("Korea (the Democratic People's Republic of)");?> </option>
                                    <option value="KR"><?php esc_attr_e("Korea (the Republic of)");?> </option>
                                    <option value="KW"><?php esc_attr_e("Kuwait");?> </option>
                                    <option value="KG"><?php esc_attr_e("Kyrgyzstan");?> </option>
                                    <option value="LA"><?php esc_attr_e("Lao People's Democratic Republic (the)");?> </option>
                                    <option value="LV"><?php esc_attr_e("Latvia");?> </option>
                                    <option value="LB"><?php esc_attr_e("Lebanon");?> </option>
                                    <option value="LS"><?php esc_attr_e("Lesotho");?> </option>
                                    <option value="LR"><?php esc_attr_e("Liberia");?> </option>
                                    <option value="LY"><?php esc_attr_e("Libya");?> </option>
                                    <option value="LI"><?php esc_attr_e("Liechtenstein");?> </option>
                                    <option value="LT"><?php esc_attr_e("Lithuania");?> </option>
                                    <option value="LU"><?php esc_attr_e("Luxembourg");?> </option>
                                    <option value="MO"><?php esc_attr_e("Macao");?> </option>
                                    <option value="MG"><?php esc_attr_e("Madagascar");?> </option>
                                    <option value="MW"><?php esc_attr_e("Malawi");?> </option>
                                    <option value="MY"><?php esc_attr_e("Malaysia");?> </option>
                                    <option value="MV"><?php esc_attr_e("Maldives");?> </option>
                                    <option value="ML"><?php esc_attr_e("Mali");?> </option>
                                    <option value="MT"><?php esc_attr_e("Malta");?> </option>
                                    <option value="MH"><?php esc_attr_e("Marshall Islands (the)");?> </option>
                                    <option value="MQ"><?php esc_attr_e("Martinique");?> </option>
                                    <option value="MR"><?php esc_attr_e("Mauritania");?> </option>
                                    <option value="MU"><?php esc_attr_e("Mauritius");?> </option>
                                    <option value="YT"><?php esc_attr_e("Mayotte");?> </option>
                                    <option value="MX"><?php esc_attr_e("Mexico");?> </option>
                                    <option value="FM"><?php esc_attr_e("Micronesia (Federated States of)");?> </option>
                                    <option value="MD"><?php esc_attr_e("Moldova (the Republic of)");?> </option>
                                    <option value="MC"><?php esc_attr_e("Monaco");?> </option>
                                    <option value="MN"><?php esc_attr_e("Mongolia");?> </option>
                                    <option value="ME"><?php esc_attr_e("Montenegro");?> </option>
                                    <option value="MS"><?php esc_attr_e("Montserrat");?> </option>
                                    <option value="MA"><?php esc_attr_e("Morocco");?> </option>
                                    <option value="MZ"><?php esc_attr_e("Mozambique");?> </option>
                                    <option value="MM"><?php esc_attr_e("Myanmar");?> </option>
                                    <option value="NA"><?php esc_attr_e("Namibia");?> </option>
                                    <option value="NR"><?php esc_attr_e("Nauru");?> </option>
                                    <option value="NP"><?php esc_attr_e("Nepal");?> </option>
                                    <option value="NL"><?php esc_attr_e("Netherlands (the)");?> </option>
                                    <option value="NC"><?php esc_attr_e("New Caledonia");?> </option>
                                    <option value="NZ"><?php esc_attr_e("New Zealand");?> </option>
                                    <option value="NI"><?php esc_attr_e("Nicaragua");?> </option>
                                    <option value="NE"><?php esc_attr_e("Niger (the)");?> </option>
                                    <option value="NG"><?php esc_attr_e("Nigeria");?> </option>
                                    <option value="NU"><?php esc_attr_e("Niue");?> </option>
                                    <option value="NF"><?php esc_attr_e("Norfolk Island");?> </option>
                                    <option value="MP"><?php esc_attr_e("Northern Mariana Islands (the)");?> </option>
                                    <option value="NO"><?php esc_attr_e("Norway");?> </option>
                                    <option value="OM"><?php esc_attr_e("Oman");?> </option>
                                    <option value="PK"><?php esc_attr_e("Pakistan");?> </option>
                                    <option value="PW"><?php esc_attr_e("Palau");?> </option>
                                    <option value="PS"><?php esc_attr_e("Palestine, State of");?> </option>
                                    <option value="PA"><?php esc_attr_e("Panama");?> </option>
                                    <option value="PG"><?php esc_attr_e("Papua New Guinea");?> </option>
                                    <option value="PY"><?php esc_attr_e("Paraguay");?> </option>
                                    <option value="PE"><?php esc_attr_e("Peru");?> </option>
                                    <option value="PH"><?php esc_attr_e("Philippines (the)");?> </option>
                                    <option value="PN"><?php esc_attr_e("Pitcairn");?> </option>
                                    <option value="PL"><?php esc_attr_e("Poland");?> </option>
                                    <option value="PT"><?php esc_attr_e("Portugal");?> </option>
                                    <option value="PR"><?php esc_attr_e("Puerto Rico");?> </option>
                                    <option value="QA"><?php esc_attr_e("Qatar");?> </option>
                                    <option value="MK"><?php esc_attr_e("Republic of North Macedonia");?> </option>
                                    <option value="RO"><?php esc_attr_e("Romania");?> </option>
                                    <option value="RU"><?php esc_attr_e("Russian Federation (the)");?> </option>
                                    <option value="RW"><?php esc_attr_e("Rwanda");?> </option>
                                    <option value="RE"><?php esc_attr_e("Réunion");?> </option>
                                    <option value="BL"><?php esc_attr_e("Saint Barthélemy");?> </option>
                                    <option value="SH"><?php esc_attr_e("Saint Helena, Ascension and Tristan da Cunha");?> </option>
                                    <option value="KN"><?php esc_attr_e("Saint Kitts and Nevis");?> </option>
                                    <option value="LC"><?php esc_attr_e("Saint Lucia");?> </option>
                                    <option value="MF"><?php esc_attr_e("Saint Martin (French part)");?> </option>
                                    <option value="PM"><?php esc_attr_e("Saint Pierre and Miquelon");?> </option>
                                    <option value="VC"><?php esc_attr_e("Saint Vincent and the Grenadines");?> </option>
                                    <option value="WS"><?php esc_attr_e("Samoa");?> </option>
                                    <option value="SM"><?php esc_attr_e("San Marino");?> </option>
                                    <option value="ST"><?php esc_attr_e("Sao Tome and Principe");?> </option>
                                    <option value="SA"><?php esc_attr_e("Saudi Arabia");?> </option>
                                    <option value="SN"><?php esc_attr_e("Senegal");?> </option>
                                    <option value="RS"><?php esc_attr_e("Serbia");?> </option>
                                    <option value="SC"><?php esc_attr_e("Seychelles");?> </option>
                                    <option value="SL"><?php esc_attr_e("Sierra Leone");?> </option>
                                    <option value="SG"><?php esc_attr_e("Singapore");?> </option>
                                    <option value="SX"><?php esc_attr_e("Sint Maarten (Dutch part)");?> </option>
                                    <option value="SK"><?php esc_attr_e("Slovakia");?> </option>
                                    <option value="SI"><?php esc_attr_e("Slovenia");?> </option>
                                    <option value="SB"><?php esc_attr_e("Solomon Islands");?> </option>
                                    <option value="SO"><?php esc_attr_e("Somalia");?> </option>
                                    <option value="ZA"><?php esc_attr_e("South Africa");?> </option>
                                    <option value="GS"><?php esc_attr_e("South Georgia and the South Sandwich Islands");?> </option>
                                    <option value="SS"><?php esc_attr_e("South Sudan");?> </option>
                                    <option value="ES"><?php esc_attr_e("Spain");?> </option>
                                    <option value="LK"><?php esc_attr_e("Sri Lanka");?> </option>
                                    <option value="SD"><?php esc_attr_e("Sudan (the)");?> </option>
                                    <option value="SR"><?php esc_attr_e("Suriname");?> </option>
                                    <option value="SJ"><?php esc_attr_e("Svalbard and Jan Mayen");?> </option>
                                    <option value="SE"><?php esc_attr_e("Sweden");?> </option>
                                    <option value="CH"><?php esc_attr_e("Switzerland");?> </option>
                                    <option value="SY"><?php esc_attr_e("Syrian Arab Republic");?> </option>
                                    <option value="TW"><?php esc_attr_e("Taiwan (Province of China)");?> </option>
                                    <option value="TJ"><?php esc_attr_e("Tajikistan");?> </option>
                                    <option value="TZ"><?php esc_attr_e("Tanzania, United Republic of");?> </option>
                                    <option value="TH"><?php esc_attr_e("Thailand");?> </option>
                                    <option value="TL"><?php esc_attr_e("Timor-Leste");?> </option>
                                    <option value="TG"><?php esc_attr_e("Togo");?> </option>
                                    <option value="TK"><?php esc_attr_e("Tokelau");?> </option>
                                    <option value="TO"><?php esc_attr_e("Tonga");?> </option>
                                    <option value="TT"><?php esc_attr_e("Trinidad and Tobago");?> </option>
                                    <option value="TN"><?php esc_attr_e("Tunisia");?> </option>
                                    <option value="TR"><?php esc_attr_e("Turkey");?> </option>
                                    <option value="TM"><?php esc_attr_e("Turkmenistan");?> </option>
                                    <option value="TC"><?php esc_attr_e("Turks and Caicos Islands (the)");?> </option>
                                    <option value="TV"><?php esc_attr_e("Tuvalu");?> </option>
                                    <option value="UG"><?php esc_attr_e("Uganda");?> </option>
                                    <option value="UA"><?php esc_attr_e("Ukraine");?> </option>
                                    <option value="AE"><?php esc_attr_e("United Arab Emirates (the)");?> </option>
                                    <option value="GB"><?php esc_attr_e("United Kingdom of Great Britain and Northern Ireland (the)");?> </option>
                                    <option value="UM"><?php esc_attr_e("United States Minor Outlying Islands (the)");?> </option>
                                    <option value="US"><?php esc_attr_e("United States of America (the)");?> </option>
                                    <option value="UY"><?php esc_attr_e("Uruguay");?> </option>
                                    <option value="UZ"><?php esc_attr_e("Uzbekistan");?> </option>
                                    <option value="VU"><?php esc_attr_e("Vanuatu");?> </option>
                                    <option value="VE"><?php esc_attr_e("Venezuela (Bolivarian Republic of)");?> </option>
                                    <option value="VN"><?php esc_attr_e("Viet Nam");?> </option>
                                    <option value="VG"><?php esc_attr_e("Virgin Islands (British)");?> </option>
                                    <option value="VI"><?php esc_attr_e("Virgin Islands (U.S.)");?> </option>
                                    <option value="WF"><?php esc_attr_e("Wallis and Futuna");?> </option>
                                    <option value="EH"><?php esc_attr_e("Western Sahara");?> </option>
                                    <option value="YE"><?php esc_attr_e("Yemen");?> </option>
                                    <option value="ZM"><?php esc_attr_e("Zambia");?> </option>
                                    <option value="ZW"><?php esc_attr_e("Zimbabwe");?> </option>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-12">
                                <button id="wamc_add_user_onthego" class="btn btn-primary btn-sm ms-auto"><span class="fas fa-user"></span> <?php esc_html_e("Add", 'wamc'); ?></button>
                                <a href="?edit=3&id=<?php esc_attr_e($_GET['id']);?>&via=csv"><span id="wamc_add_user_onthego_bulk"> <span class="fas fa-users"></span> <?php esc_html_e("Add Multiple", 'wamc'); ?></span>
                                </a>
                            
                        </div>
                       
                </div>
            </div>

<!-- Link to open the modal -->
