<div class="container-fluid py-4">
      <div class="row">
        <div class="col-12">
          <div class="card mb-4">
            <div class="card-header pb-0">
              <div class='wamc_add_userlist_btn_flex'>
                <h6 id="wamc_usrlist"><?php esc_html_e('User List', 'wamc');?></h6>
                <a href="?via=csv">
                    <input type='button' class='btn wamc_add_userlist_btn' value='Add New'/>
                </a>
              </div>
            </div>
            <div class="card-body px-0 pt-0 pb-2">
              <div class="table-responsive p-0">
                <table class="table stripe align-items-center mb-0" id="wamc_userlist_table">
                  <thead>
                    <tr>
                      <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7"><?php esc_html_e('ID', 'wamc');?></th>
                      <th class="wamc_au_pl1 text-uppercase text-secondary text-xxs font-weight-bolder opacity-7 ps-2"><?php esc_html_e('Listname', 'wamc');?></th>
                      <th class="text-left text-uppercase text-secondary text-xxs font-weight-bolder opacity-7"><?php esc_html_e('Description', 'wamc');?>
                      </th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Total users', 'wamc');?>	</th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Created Date', 'wamc');?> </th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Status', 'wamc');?>	</th>
                      <th class="text-center text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                      <?php esc_html_e('Delete', 'wamc');?>	</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php 
                    global $wpdb;
                    global $woocommerce;
                    $show_reports = $wpdb->get_results(("SELECT id,wamc_user_list_name,wamc_contacts_count,wamc_list_description,wamc_list_created_on,wamc_list_status FROM ".$wpdb->prefix."wamc_user_lists ORDER BY id DESC"));
                    foreach( $show_reports as $dkey => $dval ) {
                      if(!empty($dval->wamc_contacts_count) && $dval->wamc_contacts_count != null ){
                        $contactCounts = count(json_decode(stripslashes(html_entity_decode(($dval->wamc_contacts_count)))));
                      }
                    ?>
                    
                    <!-- table row -->
                    <tr>
                    <td class="align-middle text-center">
                        <span class="text-secondary text-xs font-weight-bold"><?php esc_html_e($dval->id, 'wamc');?></span>
                      </td>

                      <td>
                        <div class="d-flex px-2 py-1">
                          <div class="d-flex flex-column justify-content-center">
                            <h6 class="mb-0 text-sm"><?php esc_html_e($dval->wamc_user_list_name, 'wamc');?> </h6>
                          </div>
                        </div>
                      </td>
                      <!-- -------------- -->
                      <td>
                        <p class="text-xs font-weight-bold mb-0"><?php esc_html_e($dval->wamc_list_description, 'wamc');?></p>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                        <a href="?edit=1&id=<?php echo esc_html($dval->id);?>"><span class="badge badge-sm bg-gradient-wamc-edit"
                            title="<?php esc_html_e("Add or Delete Users to Userlist", 'wamc');?>">
                            <?php if(isset($contactCounts)){esc_html_e($contactCounts, 'wamc');}else{esc_attr_e( "0");}?> 
                            <i class="fas fa-pencil"> </i>
                        </a>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center">
                        <span class="text-secondary text-xs font-weight-bold"><?php esc_html_e($dval->wamc_list_created_on, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                        <span class="badge badge-sm bg-gradient-success"><?php esc_html_e($dval->wamc_list_status, 'wamc');?></span>
                      </td>
                      <!-- -------------- -->
                      <td class="align-middle text-center text-sm">
                         <a href="?edit=1&id=<?php echo esc_html($dval->id);?>"><span class="badge badge-sm bg-gradient-wamc-edit"
                            title="<?php esc_html_e("Edit Campaign", 'wamc');?>">
                            <span data-camp-id="<?php echo esc_html($dval->id);?>" class="wamc_edit_campaign_icon fas fa-pencil"></span>
                          </span></a>

                          <span class="badge badge-sm bg-gradient-wamc-delete"
                            title="<?php esc_html_e("Delete Userlist", 'wamc');?>">
                            <span data-ulist-id="<?php echo esc_html($dval->id);?>" class="wamc_delete_userlist_icon fas fa-trash"></span>
                          </span>
                      </td>
                      <!-- -------------- -->
                    </tr>
                      <!-- table row -->
                      <?php } ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
      
    </div>