<?php global $current_user;
    // current user details below
        $userLogin = $current_user->user_login;
        $userEmail = $current_user->user_email;
        $userFname = $current_user->user_firstname;
        $userLname = $current_user->user_lastname;
        $userDname = $current_user->display_name;
        $user__uID = $current_user->ID;
        $user_Role = $current_user->roles;
        $user_Role = $user_Role[0];
?>

<div class="card shadow-lg mx-4 card-profile-bottom">
    <div class="card-body p-3">
        <div class="row gx-4">
            <div class="col-auto">
                <div class="avatar avatar-xl position-relative">
                    <img src="<?php echo get_avatar_url( get_current_user_id($user__uID), 96 ); ?>" alt="profile_image" class="w-100 border-radius-lg shadow-sm">
                </div>
            </div>
            <div class="col-auto my-auto">
                <div class="h-100">
                    <h5 class="mb-1">
                        <?php 
                        echo esc_attr("$userFname $userLname"); ?>
                    </h5>
                    <p class="mb-0 font-weight-bold text-sm">
                    <?php esc_html_e("$user_Role", 'wamc'); ?>
                    </p>
                    <p id="wamc_admin_time" class="mb-0 font-weight-bold text-sm">
                        <?php esc_attr_e( date("h:i:sa")); ?>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>