<?php if(!isset($_GET['screen'])&& $_GET['screen'] !="2"): return; endif;

    $campID = $_GET['id'];
    global $wpdb;
    require_once WAMC_DIR_PATH . '/public/partials/wamc-api-functions.php';
   
    $table_name_2 = $wpdb->prefix . 'wamc_campaign';
    $campaignInfo = $wpdb->get_results($wpdb->prepare("SELECT id, wamc_campaign_name, wamc_campaign_condition, wamc_campaign_user_list, wamc_campaign_template_id, wamc_campaign_schedule, wamc_campaign_created_on, wamc_campaign_status FROM $table_name_2 WHERE id = %s", $campID));
    $fetchLists = $wpdb->get_results(("SELECT id, wamc_user_list_name FROM ".$wpdb->prefix."wamc_user_lists ORDER BY id DESC"));
    $selectedTemp = $campaignInfo[0]->wamc_campaign_template_id;
    $exTime = $campaignInfo[0]->wamc_campaign_schedule;

?>
<div class="container-fluid py-4">
    <div class="row mt-5">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header pb-0"> 
                    <div class="d-flex align-items-center">
                        <p class="mb-0"><?php esc_html_e('Update Campaign', 'wamc');?></p>
                    </div>
                    <hr class="wamc-create-user-via">
                </div>
                 <!-- now body section -->
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Campaign Name:", 'wamc' );?>
                                </label>
                                <input id="wamc_update_campaign_name" value="<?php esc_attr_e( $campaignInfo[0]->wamc_campaign_name, 'wamc' );?>" class="form-control"/>
                                <input type="hidden" value="<?php esc_attr_e( $campID, 'wamc' );?>" id="wamc_update_campaign_id"/>
                            </div>
                        </div>
                        <!-- --- -->
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Select User List:", 'wamc' );?>
                            </label>
                            <select id="wamc_select_userlist_updatecamp" class="form-control">
                                <?php 
                                    foreach($fetchLists as $k => $value):
                                        $listName = $value->wamc_user_list_name;
                                        $uID = $value->id;
                                        ?>
                                            <option <?php if($uID == $campID) { echo "selected='selected'"; } ?> value="<?php esc_html_e($uID, 'wamc');?>"><?php esc_html_e($listName, 'wamc');?></option>
                                        <?php
                                    endforeach;
                                        ?> 
                            </select>
                            </div>
                        </div>
                        <!-- --- -->
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Select Template:", 'wamc' );?>
                            </label>
                            <select id="wamc_select_template_updatecamp" class="form-control">
                                    <?php
                                        $templates = new Wamc_API_functions();
                                        $templates = $templates->wamc_get_wp_templates();
                                        $encode_response = json_decode($templates);
                                        
                                        foreach($encode_response->data as $dkey => $dval){
                                            ?>
                                            <option <?php if($dval->name == $selectedTemp) { echo "selected='selected'"; } ?> value="<?php esc_attr_e($dval->name); ?>" ><?php esc_attr_e($dval->name); ?> </option>
                                                    
                                            <?php
                                        }
                                    ?>
                            </select>
                            </div>
                        </div>
                        <!-- --- -->
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Execution Date:", 'wamc' );?>
                            </label>
                            <input type="text" value="<?php esc_attr_e(date("Y-m-d H:m",$exTime)); ?>" id="wamc_execution_date_of_campaign" placeholder="<?php esc_attr_e( "Execution Date", 'wamc' );?>" class="form-control"/>
                            
                            </div>
                        </div>
                        <!-- --- -->
                        <div class="col-md-4">
                            <div class="form-group">
                            <label for="example-text-input" class="form-control-label">
                                    <?php esc_html_e( "Other:", 'wamc' );?>
                            </label>
                           <select id="" class="form-control">
                                <option value="active"><?php esc_html_e( "Active", 'wamc' );?></option>
                                <option value="draft"><?php esc_html_e( "Draft", 'wamc' );?></option>
                           </select>
                            
                            </div>
                        </div>
                        <!-- --- -->
                
                    <!-- ----------------- -->
                    </div>
                    <button id="wamc_update_campaign_btn" class="btn btn-primary btn-sm mt-2 ms-auto"><span class="fas fa-plus"></span> <?php esc_html_e("Update Campaign", 'wamc'); ?></button>
                </div>
            </div>
        </div>
    </div>
</div>
</main>