 <!-- Navbar -->
<?php
  $url = $_SERVER['REQUEST_URI'];
  $path = parse_url($url, PHP_URL_PATH);
  $segments = explode('/', rtrim($path, '/'));
  $__URL = end($segments);	
?>
 <nav class="navbar navbar-main navbar-expand-lg px-0 mx-4 shadow-none border-radius-xl " id="navbarBlur" data-scroll="false">
      <div class="container-fluid py-1 px-3">
        <nav aria-label="breadcrumb">
          <ol class="breadcrumb bg-transparent mb-0 pb-0 pt-1 px-0 me-sm-6 me-5">
            <li class="breadcrumb-item text-sm"><a class="opacity-5 text-white" href="javascript:;"><?php esc_html_e("Pages", "wamc")?></a></li>
            <?php
                 switch ($__URL) {
                  case "wamc-admin-dashboard":
                      $pageNow = "Dashboard";
                    break;
                  case "wamc-userlist":
                      $pageNow = "User List";
                    break;
                  case "wamc-campaigns":
                     $pageNow = "Campaigns";
                    break;
                  case "wamc-bulk-message":
                      $pageNow = "Bulk Messaging";
                    break;
                  case "wamc-admin-setting":
                      $pageNow = "Profile";
                    break;
                  case "wamc-manage-template":
                      $pageNow = "Manage Templates";
                    break;
                  default:
                  $pageNow = "Unknown";
                }

            ?>
            <li class="breadcrumb-item text-sm text-white active" aria-current="page"><?php esc_html_e( "$pageNow", 'wamc' );?></li>
          </ol>
          <h6 class="font-weight-bolder text-white mb-0"><?php esc_html_e( "$pageNow", 'wamc' );?></h6>
        </nav>
        <div class="collapse navbar-collapse mt-sm-0 mt-2 me-md-0 me-sm-4" id="navbar">
          <div class="ms-md-auto pe-md-3 d-flex align-items-center">
            <div class="input-group">
              <span class="input-group-text text-body"><i class="fas fa-search" aria-hidden="true"></i></span>
              <input type="text" class="form-control" placeholder="Type here...">
            </div>
          </div>
          <ul class="navbar-nav  justify-content-end">
            <li class="nav-item d-flex align-items-center">
            </li>
            <li class="nav-item d-xl-none ps-3 d-flex align-items-center">
              <a href="javascript:;" class="nav-link text-white p-0" id="iconNavbarSidenav">
                <div class="sidenav-toggler-inner">
                  <i class="sidenav-toggler-line bg-white"></i>
                  <i class="sidenav-toggler-line bg-white"></i>
                  <i class="sidenav-toggler-line bg-white"></i>
                </div>
              </a>
            </li>
            <li class="nav-item px-3 d-flex align-items-center">
              <span id="wamcbtnFullscreen" class=" nav-link text-white p-0">
                <i class="fa fa-expand fixed-plugin-button-nav cursor-pointer"></i>
              </span>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <!-- End Navbar -->